Last Comment Bug 712858 - Remove lingering XPT_TDP_POINTER uses in XPConnect
: Remove lingering XPT_TDP_POINTER uses in XPConnect
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla12
Assigned To: Bobby Holley (:bholley) (busy with Stylo)
:
:
Mentors:
Depends on: 692342
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 19:35 PST by Bobby Holley (:bholley) (busy with Stylo)
Modified: 2011-12-24 21:59 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove lingering XPT_TDP_POINTER uses in XPConnect. v1 (8.88 KB, patch)
2011-12-21 19:37 PST, Bobby Holley (:bholley) (busy with Stylo)
mrbkap: review+
Details | Diff | Splinter Review

Description Bobby Holley (:bholley) (busy with Stylo) 2011-12-21 19:35:10 PST
In bug 692342 I didn't notice that certain parts of XPConnect actually _set_ XPT_TDP_POINTER (as opposed to querying it via nsXPTType::IsPointer()). These should go away.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2011-12-21 19:37:22 PST
Created attachment 583710 [details] [diff] [review]
Remove lingering XPT_TDP_POINTER uses in XPConnect. v1

Attached patch. Flagging mrbkap for review.
Comment 2 Bobby Holley (:bholley) (busy with Stylo) 2011-12-23 10:49:30 PST
Pushed this to try: https://tbpl.mozilla.org/?tree=Try&rev=e760698875eb
Comment 3 Bobby Holley (:bholley) (busy with Stylo) 2011-12-23 16:25:08 PST
Looks green.

Pushed to mozilla-inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/f39d6016cbb4
Comment 4 Phil Ringnalda (:philor) 2011-12-24 21:59:00 PST
https://hg.mozilla.org/mozilla-central/rev/f39d6016cbb4

Note You need to log in before you can comment on or make changes to this bug.